<template>
	<div class="my-template-616"
    :style="{
      backgroundColor: '#f4f4f4',
      minHeight: mainHeight,
      overflow: 'auto',
      width: '100%'}"
  >
	<div style="padding:10px;width:100%">
		<el-row :gutter="10">
            <el-col
              style="text-align:center"
              :span="4"
              ><el-card :body-style="{ height: '100px' }">
                <h3>总品种</h3> <h2>{{总品种}}</h2></el-card>
					</el-col>
			</el-row>
			<el-row :style="{ margin: '15px 0 15px 0',}">
<el-col :span="24">
<el-form
      :rules="rules"
      :model="model_pet_manager"
      :inline="false"
      ref="ruleForm"
      label-width="auto"
      size="default"
      :hide-required-asterisk="false"
      :class="formContent">
		<el-row :gutter="5">
			<el-col :span="4">
	<el-form-item label="昵称：" prop="nick_name">
			<el-input :size="size" v-model="model_pet_manager.nick_name"  />
 	</el-form-item>
	  		</el-col>
<el-col  :span="4"  style="margin-bottom: 10px;">
          <el-button icon="search" size="default" type="primary" @click="searchData">
            搜索
          </el-button>
          <el-button icon="Delete" size="default" type="danger" @click="clearSearch">
            清除
          </el-button>
        </el-col>		</el-row>
	</el-form>

</el-col>
			</el-row>
 			<div
            :style="{
              textAlign: 'left',
              margin: '10px 0 10px 0',
            }">
				<el-button icon="plus" @click="add()" type="primary" size="small">
                 新增
          </el-button>
		<el-button  size="small" icon="null" style="margin-right: 5px;" type="primary">
                 导入
        	</el-button>
		<el-button  size="small" icon="null" style="margin-right: 5px;" type="primary">
                 删除
        	</el-button>
		</div>
   <el-row style="border-top:1px solid #eee">
      <el-col
        v-for="(d, index) in dataList"
        :key="d.id"
        style="border-bottom: 1px solid #eee;"
      >
        <el-row>
          <el-col :span="4" style="text-align:left;padding:20px">
            <img
              :src="d.img"
              style="max-height:280px;height:100% ;max-width:280px;width:100% ;"
            />
          </el-col>
          <el-col :span="12" style="text-align:left;padding:20px">
            <div v-for="(value,key, index) in d" :key="index" style="height:30px">
              <span v-if="index == 0" style="font-weight:bold;font-size:18px"
                >{{ key }}：</span
              >
              <span v-else style="color: #999;">{{ key }}：</span>
              <span>{{ value }}</span>
            </div></el-col
          >
          <el-col
            :span="4"
            style="text-align:right;line-height:200px"
          >
<el-button
                  type="primary"
                  size="medium"
                  style="margin-right: 5px"
                  icon="edit"
                  @click="rowEventClick(270,null)"
                >
                  编辑
                </el-button>
          </el-col>
        </el-row>
      </el-col>
</el-row> 	
 		<div style="height: 30px; line-height: 30px">
        	<el-pagination
          	:total="page.totalResult"
          	:page-size="page.pageSize"
          	:current-page="page.startPage"
         	 background
          	small
          	:page-sizes="[3, 6, 9]"
          	layout="sizes,prev, pager, next"
          	@size-change="sizeChange"
         	@current-change="currentChange"
        	/>
      </div>
</div> 
</div>
</template>
<script>

export default {
	created(){
 		this.getInit()
	},
 	data(){
  		return{ 
			总品种:10,
		size: "large",
model_pet_manager:{},
		dataList:[{"体型":"测试体型0","来源地":"测试来源地0","品种":"测试品种0","昵称":"测试昵称0","毛发颜色":"测试毛发颜色0","照片":"测试照片0"},{"体型":"测试体型1","来源地":"测试来源地1","品种":"测试品种1","昵称":"测试昵称1","毛发颜色":"测试毛发颜色1","照片":"测试照片1"},{"体型":"测试体型2","来源地":"测试来源地2","品种":"测试品种2","昵称":"测试昵称2","毛发颜色":"测试毛发颜色2","照片":"测试照片2"},{"体型":"测试体型3","来源地":"测试来源地3","品种":"测试品种3","昵称":"测试昵称3","毛发颜色":"测试毛发颜色3","照片":"测试照片3"},{"体型":"测试体型4","来源地":"测试来源地4","品种":"测试品种4","昵称":"测试昵称4","毛发颜色":"测试毛发颜色4","照片":"测试照片4"}],
		mainHeight:"",
		columns:[],
			page:{pageSize:6,startPage:1,totalResult:0},

		}
	},
 	methods:{
		getInit(){
 			this.mainHeight=window.innerHeight+'px';//高度；初始化
		},
searchData() {
      alert("这里是搜索！");
    },
    clearSearch() {
      alert("清除所有搜索条件！");
    },
		sizeChange(val){
 			this.page.pageSize=val
		},
		currentChange(val){
 			this.page.pageSize=val
		},

	}
}
</script>
<style lang="less" scoped>
.my-template-616{
}
</style>

